All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Convert To Increased Bit Depth
Convert Bit Depth

The integer conversion methods do not involve any scaling. More...

## Functions

NppStatus | nppiConvert_8u16u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned to 16-bit unsigned conversion. More...
NppStatus | nppiConvert_8u16u_C1R (const Npp8u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u16u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned to 16-bit unsigned conversion. More...
NppStatus | nppiConvert_8u16u_C3R (const Npp8u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u16u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned to 16-bit unsigned conversion. More...
NppStatus | nppiConvert_8u16u_C4R (const Npp8u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u16u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned to 16-bit unsigned conversion, not affecting Alpha. More...
NppStatus | nppiConvert_8u16u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u16s_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned to 16-bit signed conversion. More...
NppStatus | nppiConvert_8u16s_C1R (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u16s_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned to 16-bit signed conversion. More...
NppStatus | nppiConvert_8u16s_C3R (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u16s_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned to 16-bit signed conversion. More...
NppStatus | nppiConvert_8u16s_C4R (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u16s_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned to 16-bit signed conversion, not affecting Alpha. More...
NppStatus | nppiConvert_8u16s_AC4R (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u32s_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned to 32-bit signed conversion. More...
NppStatus | nppiConvert_8u32s_C1R (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u32s_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned to 32-bit signed conversion. More...
NppStatus | nppiConvert_8u32s_C3R (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u32s_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned to 32-bit signed conversion. More...
NppStatus | nppiConvert_8u32s_C4R (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u32s_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned to 32-bit signed conversion, not affecting Alpha. More...
NppStatus | nppiConvert_8u32s_AC4R (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u32f_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_8u32f_C1R (const Npp8u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u32f_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_8u32f_C3R (const Npp8u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u32f_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_8u32f_C4R (const Npp8u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8u32f_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned to 32-bit floating-point conversion, not affecting Alpha. More...
NppStatus | nppiConvert_8u32f_AC4R (const Npp8u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8s32s_C1R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit signed to 32-bit signed conversion. More...
NppStatus | nppiConvert_8s32s_C1R (const Npp8s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8s32s_C3R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 8-bit signed to 32-bit signed conversion. More...
NppStatus | nppiConvert_8s32s_C3R (const Npp8s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8s32s_C4R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit signed to 32-bit signed conversion. More...
NppStatus | nppiConvert_8s32s_C4R (const Npp8s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8s32s_AC4R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit signed to 32-bit signed conversion, not affecting Alpha. More...
NppStatus | nppiConvert_8s32s_AC4R (const Npp8s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8s32f_C1R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit signed to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_8s32f_C1R (const Npp8s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8s32f_C3R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 8-bit signed to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_8s32f_C3R (const Npp8s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8s32f_C4R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit signed to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_8s32f_C4R (const Npp8s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8s32f_AC4R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit signed to 32-bit floating-point conversion, not affecting Alpha. More...
NppStatus | nppiConvert_8s32f_AC4R (const Npp8s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16u32s_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 16-bit unsigned to 32-bit signed conversion. More...
NppStatus | nppiConvert_16u32s_C1R (const Npp16u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16u32s_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 16-bit unsigned to 32-bit signed conversion. More...
NppStatus | nppiConvert_16u32s_C3R (const Npp16u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16u32s_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned to 32-bit signed conversion. More...
NppStatus | nppiConvert_16u32s_C4R (const Npp16u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16u32s_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned to 32-bit signed conversion, not affecting Alpha. More...
NppStatus | nppiConvert_16u32s_AC4R (const Npp16u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16u32f_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 16-bit unsigned to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_16u32f_C1R (const Npp16u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16u32f_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 16-bit unsigned to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_16u32f_C3R (const Npp16u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16u32f_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_16u32f_C4R (const Npp16u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16u32f_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned to 32-bit floating-point conversion, not affecting Alpha. More...
NppStatus | nppiConvert_16u32f_AC4R (const Npp16u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16s32s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed to 32-bit signed conversion. More...
NppStatus | nppiConvert_16s32s_C1R (const Npp16s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16s32s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 16-bit signed to 32-bit signed conversion. More...
NppStatus | nppiConvert_16s32s_C3R (const Npp16s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16s32s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed to 32-bit signed conversion. More...
NppStatus | nppiConvert_16s32s_C4R (const Npp16s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16s32s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed to 32-bit signed conversion, not affecting Alpha. More...
NppStatus | nppiConvert_16s32s_AC4R (const Npp16s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16s32f_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_16s32f_C1R (const Npp16s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16s32f_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 16-bit signed to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_16s32f_C3R (const Npp16s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16s32f_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_16s32f_C4R (const Npp16s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16s32f_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed to 32-bit floating-point conversion, not affecting Alpha. More...
NppStatus | nppiConvert_16s32f_AC4R (const Npp16s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16f32f_C1R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 16-bit floating-point to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_16f32f_C1R (const Npp16f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16f32f_C3R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 16-bit floating-point to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_16f32f_C3R (const Npp16f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16f32f_C4R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit floating-point to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_16f32f_C4R (const Npp16f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16f32f_AC4R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit floating-point to 32-bit floating-point conversion, not affecting Alpha. More...
NppStatus | nppiConvert_16f32f_AC4R (const Npp16f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8s8u_C1Rs_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit signed to 8-bit unsigned conversion with saturation. More...
NppStatus | nppiConvert_8s8u_C1Rs (const Npp8s *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8s16u_C1Rs_Ctx (const Npp8s *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit signed to 16-bit unsigned conversion with saturation. More...
NppStatus | nppiConvert_8s16u_C1Rs (const Npp8s *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8s16s_C1R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit signed to 16-bit signed conversion. More...
NppStatus | nppiConvert_8s16s_C1R (const Npp8s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_8s32u_C1Rs_Ctx (const Npp8s *pSrc, int nSrcStep, Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit signed to 32-bit unsigned conversion with saturation. More...
NppStatus | nppiConvert_8s32u_C1Rs (const Npp8s *pSrc, int nSrcStep, Npp32u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16s16u_C1Rs_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed to 16-bit unsigned conversion with saturation. More...
NppStatus | nppiConvert_16s16u_C1Rs (const Npp16s *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16s32u_C1Rs_Ctx (const Npp16s *pSrc, int nSrcStep, Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed to 32-bit unsigned conversion with saturation. More...
NppStatus | nppiConvert_16s32u_C1Rs (const Npp16s *pSrc, int nSrcStep, Npp32u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_16u32u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 16-bit unsigned to 32-bit unsigned conversion. More...
NppStatus | nppiConvert_16u32u_C1R (const Npp16u *pSrc, int nSrcStep, Npp32u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_32s32u_C1Rs_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 32-bit signed to 32-bit unsigned conversion with saturation. More...
NppStatus | nppiConvert_32s32u_C1Rs (const Npp32s *pSrc, int nSrcStep, Npp32u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_32s32f_C1R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 32-bit signed to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_32s32f_C1R (const Npp32s *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiConvert_32u32f_C1R_Ctx (const Npp32u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 32-bit unsigned to 32-bit floating-point conversion. More...
NppStatus | nppiConvert_32u32f_C1R (const Npp32u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

The integer conversion methods do not involve any scaling.

Also, even when increasing the bit-depth loss of information may occur:

- When converting integers (e.g. Npp32u) to float (e.g. Npp32f) integer value not accurately representable by the float are rounded to the closest floating-point value.
- When converting signed integers to unsigned integers all negative values are lost (saturated to 0).

Note that all pointers and step sizes for images with 16f (Npp16f) data types perform best when they are at least 16 byte aligned.

### Common parameters for nppiConvert to increased bit depth functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiConvert_16f32f_AC4R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16f32f_AC4R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit floating-point to 32-bit floating-point conversion, not affecting Alpha.

Note that all pointers and step sizes for images with 16f (Npp16f) data types perform best when they are at least 16 byte aligned.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16f32f_C1R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16f32f_C1R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit floating-point to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16f32f_C3R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16f32f_C3R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit floating-point to 32-bit floating-point conversion.

Note that all pointers and step sizes for images with 16f (Npp16f) data types perform best when they are at least 16 byte aligned

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16f32f_C4R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16f32f_C4R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit floating-point to 32-bit floating-point conversion.

Note that all pointers and step sizes for images with 16f (Npp16f) data types perform best when they are at least 16 byte aligned.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16s16u_C1Rs | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16s16u_C1Rs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed to 16-bit unsigned conversion with saturation.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16s32f_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16s32f_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed to 32-bit floating-point conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16s32f_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16s32f_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16s32f_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16s32f_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit signed to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16s32f_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16s32f_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16s32s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16s32s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed to 32-bit signed conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16s32s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16s32s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16s32s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16s32s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit signed to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16s32s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16s32s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed to 32-bit signed conversion.

NppStatus nppiConvert_16s32u_C1Rs | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16s32u_C1Rs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed to 32-bit unsigned conversion with saturation.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16u32f_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16u32f_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned to 32-bit floating-point conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16u32f_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16u32f_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit unsigned to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16u32f_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16u32f_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit unsigned to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16u32f_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16u32f_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16u32s_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16u32s_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned to 32-bit signed conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16u32s_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16u32s_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit unsigned to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16u32s_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16u32s_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit unsigned to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16u32s_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16u32s_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_16u32u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_16u32u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit unsigned to 32-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_32s32f_C1R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_32s32f_C1R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit signed to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_32s32u_C1Rs | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_32s32u_C1Rs_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit signed to 32-bit unsigned conversion with saturation.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_32u32f_C1R | ( | const Npp32u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_32u32f_C1R_Ctx | ( | const Npp32u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit unsigned to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8s16s_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8s16s_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit signed to 16-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8s16u_C1Rs | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8s16u_C1Rs_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit signed to 16-bit unsigned conversion with saturation.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8s32f_AC4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8s32f_AC4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit signed to 32-bit floating-point conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8s32f_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8s32f_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit signed to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8s32f_C3R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8s32f_C3R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit signed to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8s32f_C4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8s32f_C4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit signed to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8s32s_AC4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8s32s_AC4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit signed to 32-bit signed conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8s32s_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8s32s_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit signed to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8s32s_C3R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8s32s_C3R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit signed to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8s32s_C4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8s32s_C4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit signed to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8s32u_C1Rs | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8s32u_C1Rs_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit signed to 32-bit unsigned conversion with saturation.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8s8u_C1Rs | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8s8u_C1Rs_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit signed to 8-bit unsigned conversion with saturation.

Note that all pointers and step sizes for images with 16f (Npp16f) data types perform best when they are at least 16 byte aligned.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u16s_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u16s_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned to 16-bit signed conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u16s_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u16s_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned to 16-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u16s_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u16s_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned to 16-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u16s_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u16s_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned to 16-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u16u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u16u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned to 16-bit unsigned conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u16u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u16u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned to 16-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u16u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u16u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned to 16-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u16u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u16u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned to 16-bit unsigned conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u32f_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u32f_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned to 32-bit floating-point conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u32f_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u32f_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u32f_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u32f_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u32f_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u32f_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned to 32-bit floating-point conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u32s_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u32s_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned to 32-bit signed conversion, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u32s_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u32s_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u32s_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u32s_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

NppStatus nppiConvert_8u32s_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiConvert_8u32s_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned to 32-bit signed conversion.

For common parameter descriptions, see Common parameters for nppiConvert to increased bit depth functions.

Copyright © 2009-2019 NVIDIA Corporation